# ACE_Malloc_Lock_Adapter_T< ACE_Thread_Semaphore > Class Template Reference

Template specialization of ACE_Malloc_Lock_Adapter_T for ACE_Thread_Semaphore. More...

`#include <Thread_Semaphore.h>`

List of all members.

## Public Member Functions

ACE_Thread_Semaphore * | operator() (const ACE_TCHAR *name)

## Detailed Description

### template<>
class ACE_Malloc_Lock_Adapter_T< ACE_Thread_Semaphore >

Template specialization of ACE_Malloc_Lock_Adapter_T for ACE_Thread_Semaphore.

This is needed since the ctor for ACE_Thread_Semaphore doesn't match the standard form used by other lock strategy classes.

## Member Function Documentation

ACE_Thread_Semaphore * ACE_Malloc_Lock_Adapter_T< ACE_Thread_Semaphore >::operator() | ( | const ACE_TCHAR * | name | ) |

The documentation for this class was generated from the following files:

- Thread_Semaphore.h
- Thread_Semaphore.cpp